<?php



/**



 * SensFRX Main Class of App



 *



 */



namespace SensFRX\PropertySecrets;



use SensFRX\Common\ApiCalls;



/**



 * Class PropertySecrets



 *



 * @package PropertySecrets



 */



class PropertySecrets {



	private $objAPI;



	public function __construct($objAPI) {



		$this->objAPI = $objAPI;



	}



	public function getPropertySecretsCall($pid) {





		$method = 'GET';





		$url = '/onboarding/oauth/verify/'.$pid;





		return $this->objAPI->callAPI($method, $url);





	}



	public function postPropertySecretsCall($secretsInfo) {



		$method = 'POST';



		$url = '/onboarding/oauth/register';



		return $this->objAPI->callAPI($method, $url, $secretsInfo);



	}



}



